<script lang="ts">
import Vue from 'vue';
import { getPageMetadata } from '../../common/meta';
import { NextStep } from '../../components/common/index.vue';
import {
  DibHero,
  DibIntroHighlight,
  DibCopyBlock,
  DibWorkforce,
  DibWorkplace,
  DibMarketplace,
  DibConclusion,
} from '../../components/diversity-inclusion-belonging/index.vue';
import { CONTENT_TYPES } from '~/common/content-types';
import { getClient } from '~/plugins/contentful.js';
import { dibHelper, DIBData } from '~/services/dib/dib.service';

export default Vue.extend({
  components: {
    DibHero,
    DibIntroHighlight,
    DibCopyBlock,
    DibWorkforce,
    DibWorkplace,
    DibMarketplace,
    DibConclusion,
    NextStep,
  },
  nuxtI18n: false,
  async asyncData() {
    const data: DIBData = await getClient()
      .getEntries({
        content_type: CONTENT_TYPES.PAGE,
        include: 10,
        'sys.id': '3R79r8x2aifp6bFBRgWAjc',
      })
      .then((query: any) => {
        const entryFields = query.items[0]?.fields;
        return dibHelper(entryFields);
      })
      .catch(console.error);
    return { data };
  },
  head() {
    return getPageMetadata((this as any).data, this.$route.path);
  },
});
</script>

<template>
  <div>
    <DibHero :data="data.dib_hero" />
    <DibIntroHighlight :data="data.dib_intro_highlight" />
    <DibCopyBlock :data="data.dib_copy_block_0" />
    <DibCopyBlock :data="data.dib_copy_block_1" />
    <DibWorkforce :data="data.dib_workforce" />
    <DibWorkplace :data="data.dib_workplace" />

    <DibMarketplace
      :data="data.dib_marketplace"
      :quote="data.quote"
      :faq="data.faq"
    />
    <DibConclusion :data="data.dib_conclusion" />
    <NextStep :variant="data.nextSteps" />
  </div>
</template>
<style scoped lang="scss">
.dedicated-wrapper {
  overflow: hidden;
}

div[role='main'] {
  overflow: clip;
  :deep .markdown-body {
    background: transparent;

    strong {
      font-weight: bold;
    }
  }
}
</style>
